<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" href="%PUBLIC_URL%/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="theme-color" content="#000000" />
    <meta
      name="description"
      content="Web site created using create-react-app"
    />
    <link rel="apple-touch-icon" href="%PUBLIC_URL%/logo192.png" />
    <!--
      manifest.json provides metadata used when your web app is installed on a
      user's mobile device or desktop. See https://developers.google.com/web/fundamentals/web-app-manifest/
    -->
    <link rel="manifest" href="%PUBLIC_URL%/manifest.json" />
    <!--
      Notice the use of %PUBLIC_URL% in the tags above.
      It will be replaced with the URL of the `public` folder during the build.
      Only files inside the `public` folder can be referenced from the HTML.

      Unlike "/favicon.ico" or "favicon.ico", "%PUBLIC_URL%/favicon.ico" will
      work correctly both with client-side routing and a non-root public URL.
      Learn how to configure a non-root public URL by running `npm run build`.
    -->
    <style>
      .flexContainer {
        display: flex;
        flex-flow: wrap;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
      }

      @media (min-width: 1024px) {
        .flexContainer {
          flex-direction: row;
        }
        .full {
          max-width: 100%;
        }
      }

      #emsRoot1 {
        margin-top: 2rem;
      }

      #emsRoot1 div.rbc-toolbar > span:nth-child(1) {
        display: flex;
      }
    </style>
    <title>Events</title>
  </head>
  <body>
    <noscript>You need to enable JavaScript to run this app.</noscript>
    <script>
      window.eventsConfig = [
        {
          useBodyHiddenOverflow: true,
          useSimpleLayout: true,
          // orgId: [5, 335], // GCH, GRC only for now
          orgId: [
            258, 752, 229, 280, 233, 219, 208, 213, 312, 262, 774, 758, 223,
            259, 228, 226, 230, 218, 206, 205, 214, 222, 225, 232, 231, 270,
            588, 614,
          ], // Brazil
          eventTypeIds: "1,2,3,4,5,6,7,8,9,10,11,12,13,15,17",
          language: "en-GB", // "es" for Spanish also supported now,
          showLocalTime: true,
          featured: false, // Show only featured examples
          displayWebcastButton: true, // displays the webcast button
          eventsLimit: 1000, // show only one single event
          suppressBookOnly: true, // Remove the book only button
          suppressVenue: false, // Hides the venue and add the buttons just right after the text. Works well in simple mode.
          // singleEventUrlTemplate: "https://eventswebclient-test-gil.bkwsu.eu/v0.50.0/loader/single_event.html?eventId=@@eventDateId@@",
          singleEventUrlTemplate:
            "https://www.globalretreatcentre.org/ems-events-session?eventSessionId=@@eventDateId@@",
          // specialIpadLink: "https://eventswebclient-test-gil.bkwsu.eu/v0.50.0/loader/single_event.html?eventId=@@eventDateId@@",
          singleEventShowImage1: true,
          singleEventShowImage2: false,
          singleEventShowImage3: false,
          rootElement: "emsRoot1",
          displayOrgFilter: true,
          fetchEvents: true, // Prevents initial event fetching
          showSimilarEvents: true,
          useAllOrgIds: true,
          // Possible values: TABLE, CALENDAR, SINGLE_EVENT, SINGLE_EVENT_SESSION, EXTENDED_SINGLE_EVENT_SESSION, FORM, COMPOSITE_CALENDAR, SLIDER, TILES,
          // EVENT_COUNT_DOWN, EVENTS_MONTH_CALENDAR, IMAGE_BANNER, INFINITE_TILES
          widgetType: "TABLE",
          initialPageSize: 200,
          hideSocial: false,
          hideSearch: false,
          hidePager: false,
          private: "no", // 'yes' or 'no' or 'all' - if 'yes' then only private events will be shown
          showGoogleCalendarIcon: false,
          eventCountDownStyle: "animated",
          eventCountDownTimezone: "Europe/Berlin",
          eventCountDownCountries: "United Kingdom",
          randomImages: [
            "https://res.cloudinary.com/gilf/image/upload/v1654363027/i_Stock_1128894742_920c18c741.jpg",
            "https://res.cloudinary.com/gilf/image/upload/v1653062227/daria_nepriakhina_t_H7e_Yi6p23s_unsplash_1_20e3643aa9.jpg",
            "https://res.cloudinary.com/gilf/image/upload/v1650267257/2_Header_Supreme_Soul_d61f1cf34d.jpg",
            "https://res.cloudinary.com/gilf/image/upload/v1652704232/marcos_paulo_prado_6_N_Dg_L_Cd_Rjd_U_unsplash_46692efb30.jpg",
            "https://res.cloudinary.com/gilf/image/upload/v1651234118/Gift_Peace_Header_5bdd7ff68d.jpg",
            "https://res.cloudinary.com/gilf/image/upload/v1651129852/Outside_In_Inside_Out_Header_05a9836680.jpg",
            "https://res.cloudinary.com/gilf/image/upload/v1648836367/dingzeyu_li_ie8_WW_5_K_Ux3o_unsplash_a7c1e0a55d.jpg",
          ],
          shivaStarImage:
            "https://eventswebclient-test-gil.bkwsu.eu/v0.37.0/assets/images/shiva.png",
          searchFilterFunction: (_) => {
            return true;
            // return !!e.hasWebcast && !e.requiresRegistration && !!e.webcastUrl && e.webcastUrl.toLowerCase().match(/.+(webcast|watchlive).*/);
          },
          eventSliceFunction: (eventList) => {
            return eventList.slice(0, 1000);
          },
          generateSocialMedialUrl: (e) => {
            return `https://www.globalretreatcentre.org/ems-events-page-single/?eventId=${e.id}`;
          },
          customNoMoreSeatsMessage: (currentEvent) => {
            const eventName = currentEvent.name;
            return `
                    <div class="row">
                        <div class="col-12 ml-3">
                            "${eventName}" is overbooked. But you can consider other events on our webpage.
                        </div>
                    </div>
                `;
          },
          eventsCalendarFunction: (event) => {
            return `https://www.globalretreatcentre.org/ems-events-session?eventSessionId=${event.eventDateId}&title=${encodeURIComponent(event.name)}&image=${encodeURIComponent(event.image1)}&startDateTime=${event.startIso}&endDateTime=${event.endIso}`;
          },
          formSuccessMessage: `<h2>Hooray! The form has been successfully submitted. Many thanks.</h2>`,
          formShowMissingFields: true,
          imageBanner_selectedPositions: [0, 1, 2],
          imageBanner_imagePosition_mobile: 1,
          imageBanner_imagePosition: 4,
          hasWebcastFunc: () => true,
          // tags: 'odr',
          // Excluding tags
          // noTags: 'meals',
          // Default value is 'OR' or 'AND'
          // tagsOperator: 'AND,'
          compositeCalendar_showWeek: false,
          compositeCalendar_showDay: false,
        },
      ];
    </script>

    <div class="flexContainer">
      <div class="container-fluid full">
        <!--        <h1>Germany Composite Calendar</h1>-->
        <div id="emsRoot1"></div>
      </div>
    </div>
    <!--
  This HTML file is a template.
  If you open it directly in the browser, you will see an empty page.

  You can add webfonts, meta tags, or analytics to this file.
  The build step will place the bundled scripts into the <body> tag.

  To begin the development, run `npm start` or `yarn start`.
  To create a production bundle, use `npm run build` or `yarn build`.
-->
  </body>
</html>
